GetDedicatedIps method
Returns a list of dedicated IP addresses in a folder or pool. The folder is selected based on the service account the request originates from.
Request
GET /v2/email/dedicated-ips HTTP/2
Query parameters
|
Parameter |
Description |
|
|
Type: String. Pool name. If the parameter is specified, only IP address from this pool will be returned in the response. This is an optional parameter. |
|
|
Type: Integer. Maximum number of results you can get on one page in response to your request. If the number of results exceeds the This is an optional parameter. |
|
|
Type: String. Token to get the next results page in response to a request. To do this, provide the This is an optional parameter. |
Request headers
Use common request headers in your requests.
Responses
200 OK
{
"DedicatedIps": [
{
"Ip": "<IP_address>",
"WarmupStatus": "DONE",
"WarmupPercentage": 100,
"PoolName": "<pool_name>"
}
],
"NextToken": "<token>"
}
|
Parameter |
Description |
|
|
Type: Array. Array of dedicated IP addresses. |
|
|
Type: String. Dedicated IP address. |
|
|
Type: String. IP warm-up status. It always returns |
|
|
Type: Integer. IP warm-up completion percentage. It always returns |
|
|
Type: String. Name of the pool the IP address belongs to. IP addresses not distributed among custom pools are in the default pool named |
|
|
Type: String. Token to get the next results page in response to a request. If the number of results exceeds the |
The 200 OK response may contain additional parameters. Its format may vary slightly from the above.
Errors
For all errors, the response body has the same format:
{
"Code": "<error_name>",
"message": "<error_description>"
}
The name of the error is taken from its code, e.g., BadRequestException.
The possible errors include:
|
Error code |
Description |
|
|
The request contains invalid headers or parameters, or an incorrect token is provided in the |
|
|
No pool of that name was found. |
|
|
The request quota was exceeded. |